[CaseDiagnosticTool]
DLL_ExInterface=1
SelfVersion=1


[Common]
ProductName=Apex Central
MaxVersion=8.00
MinVersion=7.99
ProductVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\Version)
ProductBuild=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\BuildVersion)
ServicePackVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\HOTFIX\SP)
PatchVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\Hotfix\Patch)
HotfixVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\Hotfix\HotfixVersion)
Language=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\Language)
PatternVersion=N/A
EngineVersion=N/A
InstallDateTime=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\InstalledDate)


[Category1]
ProblemType=Installation Failure
Events=1,4,5,6,7

[Category2]
ProblemType=Apex Central Registration/Unregistration Failure
Events=1,2,3,4,5,8

[Category3]
ProblemType=ActiveDirectory Integration Issues
Events=1,2,3,4,5,11

[Category4]
ProblemType=Performance Issues
Events=1,2,3,4,5,6

[Category5]
ProblemType=Web User Interface Issues
Events=1,2,3,4,5,6,11

[Category6]
ProblemType=Compatibility with 3rd-party Software
Events=1,2,3,4,5,6

[Category7]
ProblemType=System Crash, Blue Screen, Dr. Watson Error or System Hang
Events=1,2,3,4,5,6,9

[Category8]
ProblemType=Report Generation Issues
Events=1,2,3,4,5,6

[Category9]
ProblemType=Update or Deployment Issues
Events=1,2,3,4,5,6,10

[Category10]
ProblemType=Cascading (Parent/Child) Issues
Events=1,2,3,4,5,6

[Category11]
ProblemType=General Issues
Events=1,2,3,4,5,6,7,8


[Event1]
EventName=Collect Basic information

[Event2]
EventName=Collect Apex Central DebugLog files
EventFile=$(All_TMCM_Log);$(All_TMCM_WidgetLog)
RegKey=$(RegRootKey)
ProcessName=CasProcessor.exe;CmdProcessor.exe;DCSProcessor.exe;LogReceiver.exe;LogRetriever.exe;MsgReceiver.exe;ProcessManager.exe;ReportServer.exe;UIProcessor.exe;LogProcessor.exe;sCloudProcessor.NET.exe
ModuleName=CM

[Event3]
EventName=Collect TMI DebugLog files
EventFile=$(All_TMI_Log)
RegKey=$(TMI_RegKey)
ProcessName=cm.exe;DMServer.exe;mrf.exe
ModuleName=TMI

[Event4]
EventName=Collect Apex Central configuration files
EventFile=$(TMCM_Cfg_File)

[Event5]
EventName=Collect TMI configuration files
EventFile=$(TMI_Cfg_File)

[Event6]
EventName=Collect Apex Central Installation DebugLog files
EventFile=$(All_TMCM_INSTALLATION_Log)

[Event7]
EventName=Collect Apex Central Uninstallation DebugLog files
EventFile=$(All_TMCM_UNINSTALLATION_Log)

[Event8]
EventName=Collect AgentMigrationTool DebugLog files
EventFile=$(All_AGENT_MIGRATION_Log)

[Event9]
EventName=Collect All Dr. Watson Log and Memory Dumps
EventFile=$(UserDrWtsn32PathLog);$(UserDump);$(MemoryDump);$(AllDrWtsn32PathLog);$(AllUserDump)

[Event10]
EventName=Collect ActiveUpdate Logs
EventFile=$(TmuDump)
ModuleName=AU

[Event11]
EventName=Collect IIS Logs
EventFile=$(IISLog)

[Variables]
HomeDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS\HomeDirectory)
RegRootKey=HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TVCS
TMI_RegKey=HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TMI

TMI_Dir=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\TMI\HomeDirectory)

DrWtsn32Path=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\LogFilePath)
MemoryDump=$(HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\CrashControl\DumpFile)
UserDump=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\CrashDumpFile)
UserDrWtsn32PathLog=$(DrWtsn32Path)\DrWtsn32.log
AllDrWtsn32PathLog=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\DrWtsn32.log
AllUserDump=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\user.dmp
TmuDump=$(HomeDir)\AU_Data\AU_Log\TmuDump.txt
CMServerINI=$(HomeDir)\WebUI\download\activeupdate\server.ini

All_TMCM_Log=$(HomeDir)\DebugLog\*.*
All_TMCM_WidgetLog=$(HomeDir)\WebUI\WebApp\widget\repository\log\*.log
All_TMI_Log=$(TMI_Dir)\DbgLog\*.*
All_TMCM_INSTALLATION_Log=C:\ApexCentral_Installation\*.zip;C:\TMCM_Install.log;C:\ReportInstall.log;C:\DCS_Install.log;C:\CreateTable.sql;C:\tmi_install.log;C:\ccgi_install.log;C:\DBSchema.exe.log;C:\DBSchema.exe.trace.log;C:\TMPatch*.log;C:\advancedlogging.log;C:\CallProductBat.log;C:\GetCurrentWPNumber.log;C:\MSCLRTypes.log;C:\phinxMigrate.log;C:\RedAlertTamLoader.log;C:\ReportViewer.log;C:\RestfulServiceSetupUtility.NET.log;C:\SynWidget.log;C:\TMCM_Install.log;C:\TMCM_SQLExecutor.log;C:\XMLModify.NET.exe.log;C:\TMCM_MigrationJobExecutor.log
All_TMCM_UNINSTALLATION_Log=C:\ApexCentral_Installation\*.zip;C:\TMCM_Uninstallexe.log;C:\TMCM_Uninstall.log;C:\DCS_Uninstall.log;C:\ccgi_uninstall.log
All_AGENT_MIGRATION_Log=C:\Agent_Migration_Tool.log;$(HomeDir)\DebugLog\CDT_chageserversvc.log;$(HomeDir)\ChangeServerCmd.info;$(HomeDir)\ChangeServerAgent.guid

TMCM_Cfg_File=$(HomeDir)\*.xml;$(HomeDir)\WebUI\download\E2EPublic.dat;$(HomeDir)\WebUI\WebApp\web.config
TMI_Cfg_File=$(TMI_Dir)\TMI.cfg;$(TMI_Dir)\*.pem;$(TMI_Dir)\profile\*.*
Everyone_Write_Files=TMCM_cgiDelegate.log;TMCM_cgiReverseProxy.log;sso_result_html;TMCM_cgiFileDelegate.log
IISLog=$(Windir)\System32\LogFiles\W3SVC1\*.log;$(SystemDrive)\inetpub\logs\LogFiles\W3SVC1\*.*
